{+--------------------------------------------------------------------------+
 | Created:     05.98
 | Author:      Martin Waldenburg
 | Copyright    1998, all rights reserved.
 | Description: Demo for TmwCustomComboEdit
 | DISCLAIMER:  This is provided as is, expressly without a warranty of any kind.
 |              You use it at your own risc.
 +--------------------------------------------------------------------------+}
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, mwCombEdit, ExtCtrls;

type
  TForm1 = class(TForm)
    mwCustomComboEdit1: TmwCustomComboEdit;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    procedure DoAction;
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

uses Unit2;

{$R *.DFM}

procedure TForm1.DoAction;
var
  CP, SP: TPoint;
begin
  CP.X := mwCustomComboEdit1.Left;
  CP.Y := mwCustomComboEdit1.Top + mwCustomComboEdit1.Height;
  SP := ClientToScreen(CP);

  with Form2 do
  begin
    Left := SP.X;
    Top := SP.Y;
    Width := mwCustomComboEdit1.Width;
    Enabled := True;
    Visible := True;
    Invalidate;
  end; { Form2 }
  SetCaptureControl(Form2.TreeView1);
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  CP, SP: TPoint;
begin
  CP.X := mwCustomComboEdit1.Left;
  CP.Y := mwCustomComboEdit1.Top + mwCustomComboEdit1.Height;
  SP := ClientToScreen(CP);

  mwCustomComboEdit1.Action := DoAction;
  Form2 := TForm2.Create(self);
  with Form2 do
  begin
    Form2.Parent := mwCustomComboEdit1;
    Left := SP.X;
    Top := SP.Y;
    Width := mwCustomComboEdit1.Width;
    Enabled := False;
    Visible := False;
  end; { Tree }
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  Form2.Parent := nil;
  Form2.Free;
end;

end.

